/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.fixedlength.resourcebundle;

import java.math.BigDecimal;
import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoFixedLengthReaderDotNet]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoFixedLengthReaderDotNetResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoFixedLengthReaderDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthReaderDotNet]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoFixedLengthReaderDotNetResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthReaderDotNet");
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthReaderDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthReaderDotNet]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoFixedLengthReaderDotNetResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthReaderDotNet", locale);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、ロケール[" + locale.toString() + "]、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthReaderDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthReaderDotNet]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoFixedLengthReaderDotNetResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthReaderDotNet", locale, loader);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、ロケール[" + locale.toString() + "]、指定のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[PACKAGE.PREFIX]
     *
     * [.io] (ja)<br>
     *
     * @return key[PACKAGE.PREFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPackagePrefix() {
        // 初期値として定義書の値を利用します。
        String strFormat = ".io";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PACKAGE.PREFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[PACKAGE.PREFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLASS_NAME.SUFFIX]
     *
     * [FixedLengthReader] (ja)<br>
     *
     * @return key[CLASS_NAME.SUFFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClassNameSuffix() {
        // 初期値として定義書の値を利用します。
        String strFormat = "FixedLengthReader";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASS_NAME.SUFFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLASS_NAME.SUFFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FILECOMMENT]
     *
     * [ファイル定義書(固定長)から作成されたリーダクラス] (ja)<br>
     *
     * @return key[FILECOMMENT]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFilecomment() {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義書(固定長)から作成されたリーダクラス";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FILECOMMENT");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FILECOMMENT]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLASSCOMMENT.01]
     *
     * [ファイル定義[{0}]のリーダクラス] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CLASSCOMMENT.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義[{0}]のリーダクラス";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLASSCOMMENT.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLASSCOMMENT.02]
     *
     * [このクラスはファイル定義書(固定長)から自動生成されたリーダクラスです。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "このクラスはファイル定義書(固定長)から自動生成されたリーダクラスです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLASSCOMMENT.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLASSCOMMENT.03.CASE01]
     *
     * [　1.文字列長チェックには、デフォルトエンコーディングを利用します。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.03.CASE01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment03Case01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "　1.文字列長チェックには、デフォルトエンコーディングを利用します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.03.CASE01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLASSCOMMENT.03.CASE01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLASSCOMMENT.04]
     *
     * [　2.クラスの利用した後は必ず Close()を呼び出してください。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment04() {
        // 初期値として定義書の値を利用します。
        String strFormat = "　2.クラスの利用した後は必ず Close()を呼び出してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.04");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLASSCOMMENT.04]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[ADDUSINGTYPE.01.SUFFIX]
     *
     * [.io.BlancoFixedLengthIOException] (ja)<br>
     *
     * @return key[ADDUSINGTYPE.01.SUFFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getAddusingtype01Suffix() {
        // 初期値として定義書の値を利用します。
        String strFormat = ".io.BlancoFixedLengthIOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("ADDUSINGTYPE.01.SUFFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[ADDUSINGTYPE.01.SUFFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.READER.TYPE]
     *
     * [System.IO.TextReader] (ja)<br>
     *
     * @return key[FIELD.READER.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldReaderType() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.TextReader";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.READER.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.READER.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.READER.NAME]
     *
     * [fReader] (ja)<br>
     *
     * @return key[FIELD.READER.NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldReaderName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "fReader";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.READER.NAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.READER.NAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.READER.JAVADOC.01]
     *
     * [リーダオブジェクト] (ja)<br>
     *
     * @return key[FIELD.READER.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldReaderJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "リーダオブジェクト";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.READER.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.READER.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.READER.JAVADOC.02]
     *
     * [内部的に実際に入力を行うのリーダを記憶します。] (ja)<br>
     *
     * @return key[FIELD.READER.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldReaderJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "内部的に実際に入力を行うのリーダを記憶します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.READER.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.READER.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.LINE_COUNTER.TYPE]
     *
     * [long] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterType() {
        // 初期値として定義書の値を利用します。
        String strFormat = "long";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.LINE_COUNTER.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.LINE_COUNTER.NAME]
     *
     * [fLineCounter] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "fLineCounter";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.NAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.LINE_COUNTER.NAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.LINE_COUNTER.JAVADOC.01]
     *
     * [処理中の行カウンタ] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "処理中の行カウンタ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.LINE_COUNTER.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.LINE_COUNTER.JAVADOC.02]
     *
     * [現在処理を行っている行の位置を記憶します。] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "現在処理を行っている行の位置を記憶します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.LINE_COUNTER.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.LINE_COUNTER.DEFAULT]
     *
     * [0] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.DEFAULT]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterDefault() {
        // 初期値として定義書の値を利用します。
        String strFormat = "0";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.DEFAULT");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.LINE_COUNTER.DEFAULT]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.SIMPLE_DATE_FORMAT.TYPE]
     *
     * [string] (ja)<br>
     *
     * @return key[FIELD.SIMPLE_DATE_FORMAT.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatType() {
        // 初期値として定義書の値を利用します。
        String strFormat = "string";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX]
     *
     * [fSimpleDateFormat] (ja)<br>
     *
     * @return key[FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatNamePrefix() {
        // 初期値として定義書の値を利用します。
        String strFormat = "fSimpleDateFormat";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01]
     *
     * [項目[{0}]の読み込みの際に利用するフォーマッター] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatJavadoc01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "項目[{0}]の読み込みの際に利用するフォーマッター";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02]
     *
     * [※インスタンス化しておくことによりメモリゴミ発生を抑制します。] (ja)<br>
     *
     * @return key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "※インスタンス化しておくことによりメモリゴミ発生を抑制します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CONSTRUCTOR.01.JAVADOC.01]
     *
     * [固定長ファイルリーダクラスのコンストラクタ] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Javadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "固定長ファイルリーダクラスのコンストラクタ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CONSTRUCTOR.01.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CONSTRUCTOR.01.JAVADOC.02]
     *
     * [与えられたリーダと連結します。] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Javadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "与えられたリーダと連結します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CONSTRUCTOR.01.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CONSTRUCTOR.01.ARG.01.TYPE]
     *
     * [System.IO.TextReader] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.ARG.01.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Arg01Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.TextReader";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.ARG.01.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CONSTRUCTOR.01.ARG.01.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CONSTRUCTOR.01.ARG.01.JAVADOC.01]
     *
     * [連結するリーダ] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.ARG.01.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Arg01Javadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "連結するリーダ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.ARG.01.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CONSTRUCTOR.01.ARG.01.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.JAVADOC]
     *
     * [次の一行を読み込みます] (ja)<br>
     *
     * @return key[READRECORD.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordJavadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "次の一行を読み込みます";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.RETURN.JAVADOC]
     *
     * [行オブジェクトを返します。もはや行が無い場合には nullを返します。] (ja)<br>
     *
     * @return key[READRECORD.RETURN.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordReturnJavadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "行オブジェクトを返します。もはや行が無い場合には nullを返します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.RETURN.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.RETURN.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.THROWS.01.JAVADOC]
     *
     * [入力データが不正な場合など。] (ja)<br>
     *
     * @return key[READRECORD.THROWS.01.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordThrows01Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "入力データが不正な場合など。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.THROWS.01.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.THROWS.01.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.THROWS.02.TYPE]
     *
     * [System.IO.IOException] (ja)<br>
     *
     * @return key[READRECORD.THROWS.02.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordThrows02Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.IOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.THROWS.02.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.THROWS.02.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.THROWS.02.JAVADOC]
     *
     * [連結先リーダで異常が発生した場合。] (ja)<br>
     *
     * @return key[READRECORD.THROWS.02.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordThrows02Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "連結先リーダで異常が発生した場合。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.THROWS.02.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.THROWS.02.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.LINE.03]
     *
     * [// ファイルの終端に到達しました。] (ja)<br>
     *
     * @return key[READRECORD.LINE.03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordLine03() {
        // 初期値として定義書の値を利用します。
        String strFormat = "// ファイルの終端に到達しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.LINE.03");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.LINE.03]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.LINE.07]
     *
     * [{0}FixedLengthRecord record = new {0}FixedLengthRecord();] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[READRECORD.LINE.07]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordLine07(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}FixedLengthRecord record = new {0}FixedLengthRecord();";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.LINE.07");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.LINE.07]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.LINE.12]
     *
     * [// {0}項目名[{1}]] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[READRECORD.LINE.12]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordLine12(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "// {0}項目名[{1}]";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.LINE.12");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.LINE.12]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.LINE.21]
     *
     * [// クオートを考慮した読み込みを行います。] (ja)<br>
     *
     * @return key[READRECORD.LINE.21]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordLine21() {
        // 初期値として定義書の値を利用します。
        String strFormat = "// クオートを考慮した読み込みを行います。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.LINE.21");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.LINE.21]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[READRECORD.LINE.22]
     *
     * [tokenString = BlancoFixedLengthRuntimeUtil.ReadToken(reader, {0,number});] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.math.BigDecimal型を与えてください。
     * @return key[READRECORD.LINE.22]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getReadrecordLine22(final BigDecimal arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "tokenString = BlancoFixedLengthRuntimeUtil.ReadToken(reader, {0,number});";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("READRECORD.LINE.22");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[READRECORD.LINE.22]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLOSE.JAVADOC.01]
     *
     * [このリーダを閉じます。] (ja)<br>
     *
     * @return key[CLOSE.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "このリーダを閉じます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLOSE.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLOSE.JAVADOC.02]
     *
     * [関連づけられていたリーダに対してもClose()を呼び出します。] (ja)<br>
     *
     * @return key[CLOSE.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "関連づけられていたリーダに対してもClose()を呼び出します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLOSE.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLOSE.THROWS.01.TYPE]
     *
     * [System.IO.IOException] (ja)<br>
     *
     * @return key[CLOSE.THROWS.01.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseThrows01Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.IOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.THROWS.01.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLOSE.THROWS.01.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[CLOSE.THROWS.01.JAVADOC]
     *
     * [関連づけられていたリーダのClose()に失敗した場合。] (ja)<br>
     *
     * @return key[CLOSE.THROWS.01.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseThrows01Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "関連づけられていたリーダのClose()に失敗した場合。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.THROWS.01.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[CLOSE.THROWS.01.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthReaderDotNet], key[GETLOCATIONSTRING.LINE.01]
     *
     * [入力&quot; + fLineCounter + &quot;行目 {0}項目目。{1}項目名[{2}]] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[GETLOCATIONSTRING.LINE.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetlocationstringLine01(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "入力\" + fLineCounter + \"行目 {0}項目目。{1}項目名[{2}]";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("GETLOCATIONSTRING.LINE.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthReaderDotNet]、キー[GETLOCATIONSTRING.LINE.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }
}
